<?php
if(!defined('ADMIN')){exit("keine Berechtigung!");}
print aw_message("Zeigt Doppelte einträge an hier werden Titel,Quelle & Ablage verglichen",'info');

	$sql="SELECT aw_archiv.archiv_id,aw_archiv.main_id,aw_menu.main_name,aw_archiv.titel, aw_archiv.quelle,aw_archiv.text,aw_archiv.ablage
		FROM aw_archiv 
		LEFT JOIN aw_menu USING (main_id) 
		INNER JOIN ( 
			SELECT titel,quelle,ablage
			FROM aw_archiv 
			GROUP BY quelle,titel,ablage HAVING COUNT(archiv_id) > 1) 
				dup ON aw_archiv.titel = dup.titel && 
				aw_archiv.quelle = dup.quelle && 
				aw_archiv.ablage = dup.ablage
		";


	if(!empty($sort) AND !empty($sortd))
		{$sql .= "\n ORDER BY `$sort` $sortd\n";}
	else
		{$sql .= "\n ORDER BY archiv_id\n";}


	$result = aw_sql_query($sql);
	$row_cnt = mysqli_num_rows($result);
	
	$table=array();
	$table['fields']=array();
	$count=0;
	$result = aw_sql_query($sql);
	$_SESSION['sql']=$sql;

	while ($property = mysqli_fetch_field($result))
		{
		$tmp_table=trim($property->table);
		$tmp_field=trim($property->name);
		$table['fields'][$count]=$tmp_field;
		$count++;
		}

	if($user['user_level']=="admin")
		{
		$felder['timestamp']="Geändert";
		}
	
	print "<div class=\"result-table\">";

	if($row_cnt>=1)
		{
		print "<table class=\"table table-hover table-striped\"><thead><tr>";
		print "<th>";
		print "$row_cnt ";
		print "</th>";

		foreach($table['fields'] AS $count => $field)
			{

			$direction="ASC";
			if(!empty($sort) AND ! empty($sortd) AND $sortd=="ASC")
				{$direction="DESC";}

			$class="";
			if($field==$sort AND !empty($sortd) AND $direction=="ASC")
				{$class=" class=\"info\"";}
			elseif($field==$sort)
				{$class=" class=\"success\"";}

			print "<th{$class} data-toggle=\"tooltip\" data-placement=\"top\" title=\"$field sortieren nach $direction\">";


			print "\t<a href=\"?aw=".$aw."&cat=$cat&rubrik=$rubrik&sort=".urlencode($table['fields'][$count])."&sortd=$direction".$suche_add_get."\">";
			print $field;
			print "</a>\n";
		
			print "</th>";
			}
		print "</tr></thead>";
		while ($record = mysqli_fetch_assoc($result))
			{
			print "<tr><td>";
			if($user['user_level']!="gast"){print "<a href=\"index.php?aw=".$record['main_id']."&cat=1&id=$record[archiv_id]\" target=\"edit\"><span class=\"glyphicon glyphicon-edit\"></span></a> ";}
			//print "<span class=\"glyphicon glyphicon-eye-open\"></span></a>";
			print "</td>";
			foreach($record AS $key=>$val)
				{
				if($key=="datum" OR $key=="timestamp")
					{$val=sql_date($val);}
				$modal_id="text_".$record['archiv_id'];
				print "<td>";
				if($key=="titel")
					{print "<a href=\"index.php?aw=".$record['main_id']."&cat=3&suche=$val\" target=\"check_entrie\">$val</a>";}
				else
					{
					print str_ireplace($suche,"<code>$suche</code>",limit_text($val, 60, "..."));
					}
				print "</td>";

				}
			print "</tr>";
			}
		print "</table>";
		}

?>
