<?php
function sql_date($Timestamp)
	{
	$ar = explode(" ",$Timestamp);
	list($y, $m, $d) = explode('-',$ar[0]);
	$date = $d.".".$m.".".$y;
	return "$date";
	}



function get_archiv_settings($main_id)
	{
	$sql="SELECT * FROM aw_settings WHERE main_id='$main_id'";
	if($records=aw_fetch_assoc($sql))
		{
		$record=$records[0];
		$record['fields']=unserialize($record['fields']);
		return $record;
		}
	else
		{
		return FALSE;
		}
	}

function aw_csv_array($file, $hasFieldNames = false, $delimiter = ',', $enclosure='')
	{
    $result = Array();
    $size = filesize($file) +1;
    $file = fopen($file, 'r');
    if ($hasFieldNames)
		{$keys = fgetcsv($file, $size, $delimiter, $enclosure);}
    while ($row = fgetcsv($file, $size, $delimiter, $enclosure))
		{
        $n = count($row); 
		$res=array();
        for($i = 0; $i < $n; $i++)
			{
            $idx = ($hasFieldNames) ? $keys[$i] : $i;
            $res[$idx] = $row[$i];
	        }
		$result[] = $res;
		}
	fclose($file);
	return $result;
	} 

function in_string($needle, $haystack)
	{ 
       	$pos = strpos($haystack, $needle); 
	 if ($pos === false)
		{return (bool) FALSE;}
	else 
		{return (bool) TRUE;} 
	}


function limit_text($text, $limit, $msg)
	{
	if (strlen($text) > $limit)
		{
		$txt1 = wordwrap($text, $limit, '[cut]');
		$txt2 = explode('[cut]', $txt1);
		$ourTxt = $txt2[0];
		$finalTxt = $ourTxt.$msg;
		}
	else
		{$finalTxt = $text;}
	return $finalTxt;
	}

function random_string($length = 10) {
    $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $charactersLength = strlen($characters);
    $randomString = '';
    for ($i = 0; $i < $length; $i++) {
        $randomString .= $characters[rand(0, $charactersLength - 1)];
    }
    return $randomString;
}

function clean_file_name($dateiname)
{
    // erwünschte Zeichen erhalten bzw. umschreiben
    // aus allen ä wird ae, ü -> ue, ß -> ss (je nach Sprache mehr Aufwand)
    // und sonst noch ein paar Dinge (ist schätzungsweise mein persönlicher Geschmack ;)
    $dateiname = strtolower ( $dateiname );
    $dateiname = str_replace ('"', "-", $dateiname );
    $dateiname = str_replace ("'", "-", $dateiname );
    $dateiname = str_replace ("*", "-", $dateiname );
    $dateiname = str_replace ("ß", "ss", $dateiname );
    $dateiname = str_replace ("ß", "ss", $dateiname );
    $dateiname = str_replace ("ä", "ae", $dateiname );
    $dateiname = str_replace ("ä", "ae", $dateiname );
    $dateiname = str_replace ("ö", "oe", $dateiname );
    $dateiname = str_replace ("ö", "oe", $dateiname );
    $dateiname = str_replace ("ü", "ue", $dateiname );
    $dateiname = str_replace ("ü", "ue", $dateiname );
    $dateiname = str_replace ("Ä", "ae", $dateiname );
    $dateiname = str_replace ("Ö", "oe", $dateiname );
    $dateiname = str_replace ("Ü", "ue", $dateiname );
    $dateiname = htmlentities ( $dateiname );
    $dateiname = str_replace ("&", "und", $dateiname );
    $dateiname = str_replace ("+", "und", $dateiname );
    $dateiname = str_replace ("(", "-", $dateiname );
    $dateiname = str_replace (")", "-", $dateiname );
    $dateiname = str_replace (" ", "-", $dateiname );
    $dateiname = str_replace ("\'", "-", $dateiname );
    $dateiname = str_replace ("/", "-", $dateiname );
    $dateiname = str_replace ("?", "-", $dateiname );
    $dateiname = str_replace ("!", "-", $dateiname );
    $dateiname = str_replace (":", "-", $dateiname );
    $dateiname = str_replace (";", "-", $dateiname );
    $dateiname = str_replace (",", "-", $dateiname );
    $dateiname = str_replace ("--", "-", $dateiname );
    $dateiname = filter_var($dateiname, FILTER_SANITIZE_URL);
    return ($dateiname);
}

function get_rubrik_id($rubrik)
	{
	global $aw,$mysqli;
	$rubrik=aw_escape_string(trim($rubrik));
	$sql="SELECT * FROM aw_rubrik WHERE rubrik_name LIKE '$rubrik' LIMIT 1";
	if($records=aw_fetch_assoc($sql))
		{$rubrik_id=$records[0]['rubrik_id'];}
	else
		{
		$sql="INSERT INTO `aw_rubrik`(main_id,rubrik_name) VALUES ('$aw','$rubrik')";
		aw_sql_query($sql);
		$rubrik_id=mysqli_insert_id($mysqli);
		}
	return $rubrik_id;
	}

function reArray_Files(&$file_post)
	{
    $file_ary = array();
    $file_count = count($file_post['name']);
    $file_keys = array_keys($file_post);
    for ($i=0; $i<$file_count; $i++) {
        foreach ($file_keys as $key) {
            $file_ary[$i][$key] = $file_post[$key][$i];
        }}
    return $file_ary;
	}

function get_archiv_files($id)
	{
	if($id)
		{
		$sql="SELECT * FROM aw_archiv_files 
			LEFT JOIN aw_files USING (file_id)
			WHERE archiv_id=$id";
		if($records=aw_fetch_assoc($sql))
			{return (array) $records;}
		else
			{return (bool) FALSE;}
		}
	else 
		{return FALSE;}
	}

function show_record($record)
	{
	global $aw_page,$aw_dir,$user,$suche;
	static $counter=0;
	$counter++;
	if($files=get_archiv_files($record['archiv_id']))
		{$record=array_merge($record,$files);}
	$retval="<article class=\"search-result row\">";
	$colmd=6;
	$tmp_pic="<img src=\"design/$record[image]\" alt=\"design/$record[image]\">";
	$retval.="<div class=\"col-md-2\">";
	$retval.="<div class=\"meta-search\">";
	if(is_array($files))
		{
		$cur_file="$aw_dir[upload]/".$files[0]['file_name'];
		if(file_exists($cur_file) AND is_file($cur_file))
			{
			$ext = pathinfo($cur_file, PATHINFO_EXTENSION);
			if(in_array($ext,array('jpg','jpeg','png','gif','JPEG','JPG','PNG','GIF')))
				{
				$tmp_pic="<img src=\"image.php?cmd=thumb&id=".$files[0]['file_id']."\">";
				}
			}
		}
	$retval.="$tmp_pic";
	$retval.="</div>";
	$retval.="</div>";
	$retval.="<div class=\"col-md-2\">";
	$retval.="<ul class=\"meta-search\">";
	$retval.="<li><i class=\"glyphicon glyphicon-tags\"></i> <span><strong><a href=\"?aw=$record[main_id]&cat=3&suche=$suche\">$record[main_name]</a></strong></span></li>";
	if(!empty($record['rubrik']))
		{$retval.="<li><i class=\"glyphicon glyphicon-list-alt\" data-toggle=\"tooltip\" data-placement=\"bottom\" title=\"Rubrik / Kategorie des Datensatzes\"></i> <span>$record[rubrik]</span></li>";}
	$retval.="<li><i class=\"glyphicon glyphicon-inbox\" data-toggle=\"tooltip\" data-placement=\"bottom\" title=\"Ablage Ort im Archiv\"></i> <span>$record[ablage]</span></li>";
	if(is_array($files))
		{
		//$retval.="<li><i class=\"glyphicon glyphicon-save\"></i> <span><a href=\"#\" data-toggle=\"modal\" data-target=\"#show_files_{$counter}\">".count($files)." Datei(en)</a></span></li>";
		$retval.="<li><i class=\"glyphicon glyphicon-save\" data-toggle=\"tooltip\" data-placement=\"bottom\" title=\"Zeigt die zugehörigen Dateien an\"></i> <span><a class=\"aw_modal\" href=\"content.php?do=files&id=$record[archiv_id]\">".count($files)." Datei(en)</a></span></li>";
		}
	if(!empty($record['adresse']))
		{
		$retval.="<li><i class=\"glyphicon glyphicon-home\" data-toggle=\"tooltip\" data-placement=\"bottom\" title=\"Adresse\"></i> <p>$record[adresse]</p></li>";
		}
	$retval.="</ul>";
	$retval.="</div>";
	//$retval.=$left;
	//$retval.="</div>";
	$retval.="<div class=\"col-md-2\">";
	$retval.="<ul class=\"meta-search\">";
	if(!empty($record['datum']) AND $record['datum']!="0000-00-00 00:00:00")
		{$retval.="<li><i class=\"glyphicon glyphicon-calendar\" data-toggle=\"tooltip\" data-placement=\"bottom\" title=\"Datum des Datensatzes\"></i> <span>".sql_date($record['datum'])."</span></li>";}
	if(!empty($record['quelle']))
		{$retval.="<li><i class=\"glyphicon glyphicon glyphicon-pencil\" data-toggle=\"tooltip\" data-placement=\"bottom\" title=\"Quelle\"></i> <span>$record[quelle]</span></li>";}
	if($user['user_level']=="admin")
		{$retval.="<li><i class=\"glyphicon glyphicon-user\" data-toggle=\"tooltip\" data-placement=\"bottom\" title=\"Benutzer der den Datensatz erstelllt hat\"></i> <span>$record[user_name]</span></li>";}
	$retval.="</ul>";
	$retval.="</div>";
	$retval.="<div class=\"col-md-$colmd excerpet\">";
	$retval.="<h3>$record[titel]</h3>";
	//$retval.="<p>".limit_text($record['text'], 200, "...<br><a href=\"#\" class=\"btn btn-info btn-sm\" data-toggle=\"modal\" data-target=\"#show_text_{$counter}\"> mehr</a>");
	$retval.="<p>".limit_text($record['text'], 200, "...<br><a class=\"aw_modal\" href=\"content.php?do=text&id=$record[archiv_id]\"> mehr</a>");
	$retval.="</p>";
	if(!empty($record['tags']))
		{$retval.="<p><i class=\"glyphicon glyphicon-comment\" data-toggle=\"tooltip\" data-placement=\"bottom\" title=\"Stichwörter\"></i> ".limit_text($record['tags'], 100,"...")."</p>";}
	if($user['user_level']!="gast"){$retval.="<span class=\"plus\"><a href=\"?aw=$record[main_id]&cat=1&id=$record[archiv_id]\" title=\"ansicht\"><i class=\"glyphicon glyphicon-edit\"></i></a></span>";}
	$retval.="</div>";
	$retval.="<span class=\"clearfix borda\"></span>";
	$retval.="</article>";
	return $retval;
	}

function human_filesize($bytes, $decimals = 2) {
  $sz = 'BKMGTP';
  $factor = floor((strlen($bytes) - 1) / 3);
  return sprintf("%.{$decimals}f", $bytes / pow(1024, $factor)) . @$sz[$factor];
}
?>
