<?php
function pageChk($page,$numRows,$viewMax)
	{
	if($numRows>0 and ($page>0 or $page==-1))
		{
		$max=$numRows/$viewMax;
		if(intval($max)==$max){ $max=intval($max)-1; }
		else {$max=intval($max);}
		if ($page==-1) {return $max;}
		elseif($page>$max){ return $max;}
		else {return $page;}
		}
	else {return 0;}
	}

function pageNav($page,$numRows,$url,$viewMax,$navCell=FALSE)
	{
	global $viewpagelim;
	$viewpagelim=100000;
	$pageNav='';
	$page=pageChk($page,$numRows,$viewMax);
	$iVal=intval(($numRows-1)/$viewMax);
	$pageNav="<nav aria-label=\"Page navigation\"><ul class=\"pagination\">";
	if($iVal>$viewpagelim)
		{
		$iVal=$viewpagelim;
		if($viewpagelim>=1) $iVal-=1;
		}
	if($numRows>0 AND $iVal>0 AND $numRows<>$viewMax)
		{
		$end=$iVal;
		$start=0;

		if($page>0) 
			{
			$pageNav.='<li><a href="'.$url.($page-1).'" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>';
			}
		else
			{
			$pageNav.='<li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>';
			}

		if($page<9 AND $end>9)
			{ 
			$end=9;
			$pageNav.=' | '; 
			}
		elseif($page>=9 AND $end>9)
			{
			$start=intval($page/9)*9-1;
			$end=$start+10;
			if($end>$iVal) $end=$iVal;
				{
				//$pageNav.=' <a href="'.$url.'0">1</a> ...';
				$pageNav.='<li><a href="'.$url.'0">1...</a></li>';
				}
			
			}
		else $pageNav.=' ';
		for($i=$start;$i<=$end;$i++)
			{
			if($i==$page)
				{ 
				//$pageNav.=' <span class="unterstrichen">'.($i+1).'</span> |';
				$pageNav.='<li class="active"><a href="#">'.($i+1).'</a></li>';
				}
			else 
				{ 
				$pageNav.='<li><a href="'.$url.$i.'">'.($i+1).'</a></li>'; 
				}
			}
		if((($navCell AND $iVal>4) OR ($iVal>9 AND $start<$iVal-10)))
			{
			if($navCell AND $iVal<6)
				{$pageNav .='<li class="disabled"><a href="#"><span aria-hidden="true">&raquo;</span></a></li>';}
			else 
				{
				$pageNav.='<li><a href="#">...</a></li>';
				}
		for($n=$iVal-1;$n<=$iVal;$n++)
			{
			if($n>=$i) $pageNav.='<li><a href="'.$url.$n.'">'.($n+1).'</a></li>';
			}
		}
	if($page<$iVal AND !$navCell)
		{ 
		//$pageNav.='<><a href="'.$url.($page+1).'"> next </a>'; 
		$pageNav.='<li><a href="'.$url.($page+1).'" aria-label="Next"><span aria-hidden="true">&raquo;</span></a></li>';
		}
	else
		{
		//$pageNav .='<span> next </span>';
		$pageNav.='<li class="disabled"><a href="#"><span aria-hidden="true">&raquo;</span></a></li>';
		}
	$pageNav .="</ul></div>";
	return $pageNav;
	}
}


function makeLim($page,$numRows,$viewMax)
	{
	$page=pageChk($page,$numRows,$viewMax);
	if(intval($numRows/$viewMax)!=0&&$numRows>0)
		{
		if ($page>0)
			{
			$retval['von'] = $page*$viewMax;
			$retval['bis'] = $page*$viewMax + $viewMax;
			$retval['sqlquery'] =' LIMIT '.($page*$viewMax).','.$viewMax;
			}
		else 
			{
			$retval['von'] = $page*$viewMax;
			$retval['bis'] = $page*$viewMax + $viewMax;
			$retval['sqlquery'] =' LIMIT '.$viewMax;
			}
		return $retval;
		}
	else return FALSE;
	}
?>
