<?php
require_once('aw/config.inc.php');
require_once('aw/lib/aw.lib.php');
require_once("aw/init.vars.php");

$mysqli = mysqli_connect($mysqli_db['host'],$mysqli_db['user'],$mysqli_db['password'], $mysqli_db['database']) OR die(mysqli_connect_errno($mysqli));
$carset = mysqli_set_charset($mysqli, "utf8") OR die("Error loading character set utf8: ".mysqli_error($mysqli));
$fires	= aw_sql_query("SET NAMES 'utf8'");


if(!empty($id))
	{
	$sql="SELECT * FROM aw_files WHERE file_id=$id";
	$records=aw_fetch_assoc($sql);
	$source=$aw_dir['upload']."/".$records[0]['file_name'];
	//$cache="temp/tn_".basename($file);
	if($cmd=="thumb")
		{
		if(file_exists($source) AND is_file($source))
			{
			$img = image_get($source);
			$img = image_crop($img,$thumb_width = 128,$thumb_height = 128);
			image_output($img,$type="jpeg",NULL,$quality=85);
			exit;
			}
		}
	else
		{
		if(file_exists($source) AND is_file($source))
			{
			$img=getimagesize("$source");
			header("Content-Type: $img[mime]");
			readfile($source);	
			}
		}
	}





/*
if($cmd=="thumb")
	{
	$destination="./temp/tn_".basename($file);
	if(file_exists($destination))
		{
		readfile($destination);
		}
	else
		{
		$img = image_get("./$aw_dir[upload]/$file");
		$img = image_crop($img,$thumb_width = 320,$thumb_height = 240);
		image_output($img,$type="jpeg","$destination",$quality=85);
		}
	}
else
	{
	$destination="./temp/big_".basename($file);
	if(file_exists($destination) AND is_file($file))
		{
		readfile($destination);
		}
	else
		{
		$img = image_get("./$aw_dir[upload]/$file");
		header("Content-Type: image/jpeg");
		//$img = image_crop($img,$thumb_width = 1024,$thumb_height = 768);
		image_output($img,$type="jpeg","$destination",$quality=85);
		}
	}
*/


function imageCreateFromAny($filepath)
	{
	$type = exif_imagetype($filepath);
	$allowedTypes = array(
        1,  // [] gif
        2,  // [] jpg
        3,  // [] png
	);
	if (!in_array($type, $allowedTypes))
		{return false;}
	switch ($type)
		{
		case 1 :$im = imageCreateFromGif($filepath);
		break;
		case 2 :$im = imageCreateFromJpeg($filepath);
		break;
		case 3 :$im = imageCreateFromPng($filepath);
		break;
		}   
	return $im; 
	} 

function image_get($file,$fromstring=FALSE)
	{
	if($fromstring===TRUE)
		{return @imagecreatefromstring(file_get_contents($file));}
	else
		{return imageCreateFromAny($file);}
	}

function image_crop($image,$thumb_width = 192,$thumb_height = 120)
	{
	$width = imagesx($image);
	$height = imagesy($image);
	$original_aspect = $width / $height;
	$thumb_aspect = $thumb_width / $thumb_height;
	if ( $original_aspect >= $thumb_aspect )
		{
		// If image is wider than thumbnail (in aspect ratio sense)
		$new_height = $thumb_height;
		$new_width = $width / ($height / $thumb_height);
		}
	else
		{
		// If the thumbnail is wider than the image
		$new_width = $thumb_width;
		$new_height = $height / ($width / $thumb_width);
		}
	$thumb = imagecreatetruecolor( $thumb_width, $thumb_height );
	// Resize and crop
	imagecopyresampled($thumb,
                   $image,
                   0 - ($new_width - $thumb_width) / 2, // Center the image horizontally
                   0 - ($new_height - $thumb_height) / 2, // Center the image vertically
                   0, 0,
                   $new_width, $new_height,
                   $width, $height);
	return $thumb;
	}

function image_output($image,$type="jpeg",$destination=NULL,$quality=60)
	{
	ob_start();
	switch ($type) 
		{
		case "gif":
			ImageGif($image,$destination);
		break;

		case "png":
			$pngQuality = ($quality - 100) / 11.111111;
			$pngQuality = round(abs($pngQuality));
			ImagePng($image,$destination,$pngQuality);
		break;

		case "jpeg":
		case "jpg" :
			ImageJpeg($image,$destination,$quality);
		break;
    		}
	$img=ob_get_clean();
	imagedestroy($image);
	header("Content-Type: image/$type");
	if(!empty($destination))
		{readfile($destination);}
	else
		{
		header('Content-Length: '.strlen($img));
		print $img;
		}
	exit;
	}



exit;
?>
