<?php
if(empty($sort))
	{
	$sort="titel";
	$sortd="ASC";
	}
if($do=="details")
	{
	$sql="SELECT `main_name`,`archiv_id`, `aw_archiv`.`main_id`, `titel`, `Negativ`,DATE_FORMAT(datum, '%d.%m.%Y') AS datum, `text`, `adresse`, `quelle`, `ablage`, `timestamp`, `user_name`,`rubrik_name` AS rubrik
		FROM aw_archiv 
		LEFT JOIN aw_menu USING(main_id)
		LEFT JOIN aw_rubrik USING(rubrik_id)
		LEFT JOIN aw_accounts USING(user_id)
		WHERE 
		archiv_id=$id";

	if($records=aw_fetch_assoc($sql))
		{
		$record=$records[0];
		if($files=get_archiv_files($record['archiv_id']))
			{
			foreach($files AS $k => $file)
				{
				$file['path']="$aw_dir[upload]/$file[file_name]";
				if(!file_exists($file['path']))
					{$file['error']="not exists";}
				else
					{
					$file['mime']=mime_content_type($file['path']);
					$file['size']=human_filesize(filesize($file['path']), $decimals = 2);
					$files[$k]=$file;
					}
				}
			$record=array_merge($record,$files);
			}
		?>
<div class="container-fluid">
    <section class="container">
		<div class="container-page">				
			<div class="col-md-6">
			<h1><?php print $record['titel'];?></h1>
			<?php print $record['quelle'];?> | <?php print $record['datum'];?>
			<hr>
			<?php print $record['text'];?>
			<hr><strong>
			<?php print $record['ablage'];?>
			</strong>
			</div>
			<div class="col-md-6"><ul>
			<h2>Dateien</h2>
			<?php 
			foreach($files AS $file)
				{print "<li id=\"$file[file_name]\"><a href=\"$file[path]\" target=\"_blank\">$file[file_orig_name]</a> | $file[size] | $file[mime]</li>";}
			?>
			</ul></div>
		</div>
	</section>
</div>
		<?php
		}
	}
else
	{
	print "<form method=\"GET\"><div class=\"container\">";
	print "<div class=\"search-box\">";
	print "<input value=\"$_GET[suche]\" name=\"suche\" type=\"text\" class=\"form-control\" />";
	print "<i class=\"glyphicon glyphicon-search\"></i>";
	print "</div>";
	print "<a href=\"html/such_hilfe.html\" class=\"aw_modal\">Hilfe</a>";
	print "</div></form>";
	print "<br><br>";
	if($suche)
		{
		$query_parts=explode(" ",$suche);

		$sql="SELECT `main_name`,`archiv_id`, `aw_archiv`.`main_id`, `titel`, `optional`, `datum`, `text`, `adresse`, `quelle`, `ablage`, `timestamp`, `user_name`,`tags` ,`rubrik_id`,`rubrik_name` AS rubrik, image
			FROM aw_archiv 
			LEFT JOIN aw_menu USING(main_id)
			LEFT JOIN aw_rubrik USING(rubrik_id)
			LEFT JOIN aw_accounts USING(user_id)
			LEFT JOIN aw_meta ON `aw_archiv`.`main_id` = `aw_meta`.`main_id`
			WHERE 1";
		if($user['user_level']=="gast")
			{$sql.=" AND `aw_archiv`.`public` LIKE 'ja' ";} 
		$sql.= " HAVING 1";

		foreach($query_parts AS $query)
			{
			$query=aw_escape_string($query);
			$sql.=" AND (
				main_name LIKE '%$query%' OR
				titel LIKE '%$query%' OR
				text LIKE '%$query%' OR
				adresse LIKE '%$query%' OR
				quelle LIKE '%$query%' OR
				ablage LIKE '%$query%' OR
				rubrik LIKE '%$query%'OR
				tags LIKE '%$query%' )
				";
			}
			
		$sql.=" ORDER BY $sort $sortd";

		$result = aw_sql_query($sql);
		$row_cnt = mysqli_num_rows($result);
		$_SESSION['sql']=$sql;

		$sql.=" LIMIT 25";


		if($records=aw_fetch_assoc($sql))
			{
			print "<div class=\"container\"><hgroup class=\"mb20\"><h1>Such Ergebniss</h1><h2 class=\"lead\"><strong class=\"text-danger\">".$row_cnt."</strong> Ergebniss(e) für die suche nach <strong class=\"text-danger\">$suche</strong>";
			print " sortiert nach ";		
			$list="";
			$sel="";

			foreach($aw_page['fields'] AS $name => $feld)
				{
				if($sort==$name)
					{$sel=$aw_page['fields'][$name];}
				else
					{$list.="<li><a href=\"index.php?aw=$aw&cat=$cat&sortd=asc&sort=$name&suche=$suche\">".$aw_page['fields'][$name]."</a></li>\n";}
				}
			print "<span class=\"dropdown\">";
  			print "<a id=\"dsort\" href=\"#\" data-toggle=\"dropdown\" aria-haspopup=\"true\" aria-expanded=\"false\">$sel <span class=\"caret\"></span></a><ul class=\"dropdown-menu\" aria-labelledby=\"dsort\">";
			print $list;
			print "</ul></span";
			print "</h2></hgroup>\n";

			print "<section class=\"col-xs-12 col-sm-6 col-md-12\">\n";
			foreach($records AS $record)
				{
				print show_record($record);
				}
			print "</section>";
			if($row_cnt>=26)
				{print "<div id=\"more_search\"></div><a id=\"click_more_search\" href=\"#\">Mehr Laden</a>";}
			}
		else
			{
			print "<div class=\"container\"><hgroup class=\"mb20\"><h1>Kein Ergebniss</h1><h2 class=\"lead\"><strong class=\"text-danger\">0</strong> Einträge mit <strong class=\"text-danger\">$suche</strong> wurden gefunden.</h2></hgroup>\n";
			print "<section class=\"col-xs-12 col-sm-6 col-md-12\">\n";
			print "</section>";
			}
		}
	}
?>
