<?php
define('AW_MYSQLI',TRUE);

function aw_sql_query($sql)
	{
	global $aw_query_count,$mysqli;
	if(empty($aw_query_count))
		{$aw_query_count=0;}
	$aw_query_count++;
	if(defined('DEBUG'))
		{$result=mysqli_query($mysqli,$sql) OR die(mysqli_error($mysqli)."<pre>$sql</pre>");}
	else
		{$result=mysqli_query($mysqli,$sql) OR die('<pre>query wrong</pre>');}
	return $result; 
	}

function aw_fetch_assoc($sql,$index_field=FALSE)
	{
	global $mysqli;
	$return_record=FALSE;
	$result=aw_sql_query($sql);
	$rows=mysqli_num_rows($result);
	$fields=mysqli_num_fields($result);
	if($rows==0)
		{return (bool) FALSE;}
	elseif($rows==1)
		{
		$return_record=array();
		$return_record[] = mysqli_fetch_assoc($result);
		}
	elseif($rows>=2)
		{
		$return_record=array();
		while($record = mysqli_fetch_assoc($result))
			{
			if($fields==1 AND !empty($index_field) AND array_key_exists($index_field,$record))
				{$return_record[]=$record[$index_field];}
			elseif(!empty($index_field) AND array_key_exists($index_field,$record))
				{
				$id=$record["{$index_field}"];
				$return_record[$id]=$record;
				}
			else
				{$return_record[]=$record;}
			}
		}
	mysqli_free_result($result);
	return $return_record;
	}


function aw_message($msg,$type)
	{
	$allowed_types=array('success','info','warning','danger');
	if($type=="ok")
		{$type="success";}
	elseif($type=="error")
		{$type="danger";}
	if(!in_array($type,$allowed_types))
		{
		$msg="$msg\n<code>(UNDEFINIERT ($type):".implode(',',$allowed_types).")</code>\n";
		}
	$string = bs_message($msg,$type);
	return (string) $string;
	}


function aw_escape_string($str)
	{
	global $mysqli;
	$str=mysqli_real_escape_string($mysqli,$str);
	return $str;
	}


function aw_print_r($array)
	{
	print "\n<pre>\n";
	print_r($array);
	print "</pre>\n";
	}

?>
