<?php
function aw_jumbotron($text)
	{
	$retval="\n";
	if(aw_stripos($text,"|", $offset=0))
		{
		$item=explode("|",$text);
		foreach($item AS $k => $v)
			{
			$retval.="<div class=\"jumbotron\">$v</div>\n";
			}
		}
	else
		{
		$retval.="<div class=\"jumbotron\">$v</div>\n";
		}
	return $retval;
	}





function aw_carousel($text)
	{
	$retval="\n";
	if(aw_stripos($text,"|", $offset=0))
		{
		$item=explode("|",$text);
		$retval="";
    	$retval.="<div id=\"myCarousel\" class=\"carousel slide\" data-ride=\"carousel\">\n";
		$retval.="<ol class=\"carousel-indicators\">\n";
		$retval.="<li data-target=\"#myCarousel\" data-slide-to=\"0\" class=\"active\"></li>\n";
		$retval.="<li data-target=\"#myCarousel\" data-slide-to=\"1\"></li>\n";
		$retval.="<li data-target=\"#myCarousel\" data-slide-to=\"2\"></li>\n";
		$retval.="</ol>";
		$retval.="<div class=\"carousel-inner\" role=\"listbox\">\n";
		foreach($item AS $value)
			{
			$retval.="\t<div class=\"item active\">\n";
        	$retval.="\t<div class=\"container\">\n";
			$retval.="\t<div class=\"carousel-caption\">\n";
			$retval.="\t</div>\n";
        	$retval.="\t<div class=\"item\">\n";
			$retval.= $value;
			$retval.="\t</div>\n</div>\n";
			}
   		$retval.="</div>\n";
		return $retval;
		}
	}


function aw_nav_tabs($options_array=array(),$sel=FALSE)
	{
	global $aw;
	$retval="";
	foreach($options_array AS $opt => $name)
		{
		if(empty($sel))
			{
			$class="active";
			$sel=$opt;
			}
		else
			{$class="";}
		if($opt==$sel)
			{$class=" class=\"active\" ";}
		$retval.="<li{$class}><a href=\"".URL."?aw=".$aw."&do=$opt\">$name</a></li>";
		}
	return (string) "<ul class=\"nav nav-tabs\">\n{$retval}</ul>\n";
	}
function aw_bs_tab($array=array(),$active=FALSE)
	{
	$retval='<ul class="nav nav-tabs" role="tablist">'."\n";
	foreach($array AS $name => $url)
		{
		if($active AND $active==$name)
			{$retval.="\t<li class=\"active\"><a href=\"$url\">$name</a></li>\n";}
		else
			{$retval.="\t<li><a href=\"$url\">$name</a></li>\n";}
		}
	$retval.='</ul>'."\n";
	return (string) $retval;
	}

function bs_panel($title,$content,$type="default")
	{
	global $aw_dir;
	$tpl=array();
	$tpl['title']=$title;
	$tpl['content']=$content;
	$tpl['type']=$type;
	$template_file=$aw_dir['tpl']."tpl.panel.html";
	$template_string=aw_get_template($template_file,'html','MASTER');
	$html_output = aw_template($template_string,$tpl,'',TRUE);
	if(!empty($html_output))
		{return $html_output;}
	else{return FALSE;}
	}

function bs_button_submenu($main_name,$main_link,$sub_actions=array(),$type="default")
	{
	global $aw_dir;
	$tpl=array();
	$tpl['main_aktion_link']=$main_link;
	$tpl['main_aktion_name']=$main_name;
	$tpl['sub_actions']="";
	$tpl['type']=$type;
	foreach($sub_actions AS $name => $link)
		{
		$tpl['sub_actions'].="\t<li><a href=\"$link\">$name</a></li>\n";
		}
	$template_file=$aw_dir['tpl']."tpl.button.html";
	$template_string=aw_get_template($template_file,'html','MASTER');
	$html_output = aw_template($template_string,$tpl,'',TRUE);
	if(!empty($html_output))
		{return $html_output;}
	else{return FALSE;}
	}

function bs_message($content,$type)
	{
	return (string) "<div class=\"alert alert-$type\" role=\"alert\">$content</div>";
	}



function aw_bs_menu($id=FALSE,$recursion=TRUE,$param=FALSE) //recursion true unlimitiert bzw 20, zahl das level, oder false für keine
	{
	if($param)
		{$param=" ".trim($param);}
	$str="";
	global $aw_table,$aw,$tpl,$mysqli;
	static $zaehler = 0;
	if(is_bool($recursion)===TRUE)
		{$recursion=20;}
	if(!$id AND $zaehler==0)
		{
		$sql ="SELECT DISTINCT t.* FROM $aw_table[main] t ,$aw_table[main] r WHERE t.main_id = r.root_id ORDER BY t.pos"; //AND t.visible='yes'
		$str.="<ul class=\"nav navbar-nav\">\n";
		}
	else
		{
		$sql = "SELECT * FROM `$aw_table[main]` WHERE parent_id=$id ORDER BY pos"; //AND visible='yes'
		}
	if($id AND !$recursion)
		{
		$str.="\t<ul{$param}>\n";
		}
	$zaehler++;
	$result=aw_sql_query($sql);
	while($record = mysqli_fetch_assoc($result))
		{
		$class_li="";
		$class_ul="";
		$arr_class_li=array();
		$arr_class_ul=array();
		$arr_class_li[]="level_$zaehler";
		$arr_class_ul[]="level_$zaehler";
		$check_sql = "SELECT * FROM `$aw_table[main]` WHERE parent_id =$record[main_id]";
		$check_result=aw_sql_query($check_sql);
		$num_rows = mysqli_num_rows($check_result);
		if(!empty($recursion) AND $recursion>=$zaehler AND $num_rows>=1)
			{
			$arr_class_ul[]="dropdown-menu";
			if($zaehler<=1)
				{$arr_class_li[]="dropdown";}
			else
				{$arr_class_li[]="dropdown-submenu";}
			}

		if($aw==$record['main_id'])
			{$arr_class_li[]="active";}

		if(count($arr_class_li)>=1)
			{$class_li=" class=\"".implode(' ',$arr_class_li)."\"";}

		if(count($arr_class_ul)>=1)
			{$class_ul=" class=\"".implode(' ',$arr_class_ul)."\"";}

		$str.= str_repeat("\t",$zaehler);
		$str.="<li{$class_li}>";
		if(!empty($recursion) AND $recursion>=$zaehler AND $num_rows>=1)
			{				
			if($zaehler==1){$str.="<a href=\"#\" class=\"dropdown-toggle\" data-toggle=\"dropdown\">$record[main_name] <span class=\"caret\"></span></a>";}
			else {$str.="<a href=\"$tpl[url]?aw=$record[main_id]\" tabindex=\"-1\">$record[main_name]</a>";}
			$str.= "\n".str_repeat("\t",$zaehler)."<ul{$class_ul} role=\"menu\">\n";
			$str.= aw_bs_menu($record['main_id'],$recursion);
			$str.= str_repeat("\t",$zaehler)."</ul>\n";
			$str.= str_repeat("\t",$zaehler)."</li>\n";
			}
		else
			{
			$str.="<a href=\"$tpl[url]?aw=$record[main_id]\">$record[main_name]</a>";
			$str.= "</li>\n";
			}
		}
	$zaehler--;
	if($zaehler==0)
		{$str.="</ul>\n";}
	return (string) $str;
	}

function nav_tabs($options_array=array(),$sel=FALSE)
	{
	global $aw;
	$retval="";
	foreach($options_array AS $opt => $name)
		{
		if(empty($sel))
			{
			$class="active";
			$sel=$opt;
			}
		else
			{$class="";}
		if($opt==$sel)
			{$class=" class=\"active\" ";}
		$retval.="<li{$class}><a href=\"?aw=$aw&do=$opt\">$name</a></li>";
		}
	return (string) "<div class=\"container\"><ul class=\"nav nav-tabs\">\n${retval}</ul></div>\n";
	}




function nav_menu($aw=FALSE)
	{
	$sql ="SELECT DISTINCT t.* FROM `aw_menu` t ,`aw_menu` r WHERE t.main_id = r.root_id AND t.visible=1 ORDER BY t.pos";
	$retval.="<ul class=\"nav navbar-nav\" >\n";
	$records=aw_fetch_assoc($sql,'aw');
	foreach($records AS $id => $tmp_record)
		{
		$cursel="";
		if($tmp_record['main_id']==$aw)
			{
			$cursel=" class=\"active\"";
			}
		$sql_sub="SELECT * FROM aw_menu WHERE parent_id=$tmp_record[main_id]";
		$sub_records=aw_fetch_assoc($sql_sub,'aw');
		if($sub_records)
			{
			$retval.="<li class=\"dropdown\">\n";
			$retval.="<a href=\"#\" class=\"dropdown-toggle\" data-toggle=\"dropdown\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">{$tmp_record['name']} <span class=\"caret\"></span></a>";
			$retval.="<ul class=\"dropdown-menu\" >\n";
			foreach($sub_records AS $s_id => $s_record)
				{
				$retval .= "<li{$cursel}><a href=\"?aw={$s_record['main_id']}\">{$s_record['name']}</a></li>\n";
				}
			$retval.="</ul></li>\n";
			}
		else
			{
			$retval .= "<li{$cursel}><a href=\"?aw=$id\">{$tmp_record['name']}</a></li>\n";
			}
		}	
	return $retval;
	}
?>
