<?php
function aw_form_hidden($name='',$wert='')
	{
	$field_class='';
	if($class)
		{$field_class=" class=\"$class\" ";	}
	$retval="\t";
	$retval.="<input type=\"hidden\" name=\"$name\" value=\"$wert\"/>";
	$retval.="\n";
	return (string) $retval;
	}


function aw_form_text($name,$wert=FALSE,$params=array())
	{
	if(empty($params['label']))
		{$params['label']=$name;}
	if(!empty($params['required']))
		{$params['required']=" required=\"required\"";}
	if(!empty($params['placeholder']))
		{$params['placeholder']=" placeholder=\"{$params['placeholder']}\"";}
	$reval="\n";
	$retval.="<div class=\"form-group\">\n";
  	$retval.="<label class=\"col-md-4 control-label\" for=\"{$name}\">$params[label]</label>\n";
	$retval.="<div class=\"col-md-4\">\n";
	$retval.="<input id=\"{$name}\" name=\"aw_param[{$name}]\" {$params['placeholder']} class=\"form-control input-md\" type=\"text\" value=\"{$wert}\"{$params['required']}>\n";
	if(!empty($params['help']))
		{$retval.="<span class=\"help-block\">{$params['help']}</span>\n";}
	$retval.="</div></div>";
	return $retval;
	}

function aw_form_input($name,$wert=FALSE,$params=array())
	{
	//global $form_error;
	if(empty($params['label']))
		{$params['label']=$name;}
	if(!empty($params['required']))
		{$params['required']=" required=\"required\"";}
	if(!empty($params['placeholder']))
		{$params['placeholder']=" placeholder=\"{$params['placeholder']}\"";}
	$reval="\n";
	$retval.="<div class=\"form-group\">\n";
  	$retval.="<label class=\"col-md-4 control-label\" for=\"{$name}\">$params[label]</label>\n";
	$retval.="<div class=\"col-md-4\">\n";
	$retval.="<input id=\"{$name}\" name=\"aw_param[{$name}]\" {$params['placeholder']} class=\"form-control input-md\" type=\"text\" value=\"{$wert}\"{$params['required']}>\n";
	if(!empty($params['help']))
		{$retval.="<span class=\"help-block\">{$params['help']}</span>\n";}
	$retval.="</div></div>";
	return $retval;
	}


function aw_form_date($name,$wert=FALSE,$params=array())
	{
	if(empty($params['label']))
		{$params['label']=$name;}
	if(!empty($params['required']))
		{$params['required']=" required=\"required\"";}
	if(!empty($params['placeholder']))
		{$params['placeholder']=" placeholder=\"{$params['placeholder']}\"";}
	$reval="\n";
	$retval.="<div class=\"form-group\">\n";
  	$retval.="<label class=\"col-md-4 control-label\" for=\"{$name}\">$params[label]</label>\n";
	$retval.="<div class=\"col-md-4\">\n";
	$retval.="<input id=\"{$name}\" name=\"aw_param[{$name}]\" {$params['placeholder']} class=\"form-control input-md\" type=\"date\" value=\"{$wert}\"{$params['required']}>\n";
	if(!empty($params['help']))
		{$retval.="<span class=\"help-block\">{$params['help']}</span>\n";}
	$retval.="</div></div>";
	return $retval;
	}


function aw_form_input_list($name,$wert=FALSE,$data=array(),$params=array())
	{
	if(empty($params['label']))
		{$params['label']=$name;}
	if(!empty($params['required']))
		{$params['required']=" required=\"required\"";}
	if(!empty($params['placeholder']))
		{$params['placeholder']=" placeholder=\"{$params['placeholder']}\"";}
	$reval="\n";
	$retval.="<div class=\"form-group\">\n";
  	$retval.="<label class=\"col-md-4 control-label\" for=\"{$name}\">$params[label]</label>\n";
	$retval.="<div class=\"col-md-4\">\n";
	if(count($data)>=1)
			{$retval.="<div class=\"input-group\">";}
	$retval.="<input id=\"{$name}\" name=\"aw_param[{$name}]\" list=\"list_{$name}\" {$params['placeholder']} class=\"form-control input-md\" type=\"list\" value=\"{$wert}\"{$params['required']}>\n";
	if(count($data)>=1)
		{$retval.="<span class=\"input-group-btn\"><a href=\"#\" class=\"btn btn-info\" data-toggle=\"modal\" data-target=\"#option-list-$name\"><span class=\"glyphicon glyphicon-th-list\"></span></a></div>\n";}
	$retval.="<datalist id=\"list_$name\">\n";
	foreach($data AS $val)
		{
		if(!empty($val))
			{$retval.="<option value=\"$val\">\n";}
		}
	$retval.="</datalist>\n";
	if(!empty($params['help']))
		{$retval.="<span class=\"help-block\">{$params['help']}</span>\n";}
	$retval.="</div></div>";
	if(count($data)>=1)
		{
		$retval.="<div class=\"modal fade\" id=\"option-list-$name\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"option-list\" aria-hidden=\"true\">\n";
		$retval.="<div class=\"modal-dialog\">\n";
		$retval.="<div class=\"modal-content\">\n";
		$retval.="<div class=\"modal-header\"><h1>{$params['label']} <span class=\"badge\">".count($data)."</span></h1></div>\n";
		$retval.="<ul>";
		foreach($data AS $val)
			{
			if(!empty($val))
				{$retval.="\t\t<li><a href=\"#\" data-dismiss=\"modal\" onClick=\"document.getElementById('$name').value='$val'\";>$val</a></li>\n";}
			}
		$retval.="</ul>";
		$retval.="<div class=\"modal-footer\">\n";
		$retval.="<button type=\"button\" class=\"btn btn-default\" data-dismiss=\"modal\">Abbrechen</button>\n";
		$retval.="</div></div></div></div>";
		}
	return $retval;
	}


function aw_form_select($name,$werte=array(),$data=array(),$params=array())
	{
	if(empty($params['label']))
		{$params['label']=$name;}
	$retval="<div class=\"form-group\">";
	$retval.="<label class=\"col-md-4 control-label\" for=\"{name}\">{$params['label']}</label>";
	$retval.="<div class=\"col-md-4\">";
	$retval.="\t<select id=\"{$name}\" name=\"aw_param[{$name}]\" class=\"form-control\">\n";
	foreach($data AS $key => $val)
		{
		$sel='';
		if(!empty($key) AND in_array($key,$werte))
			{
			$sel=' selected="selected"';
			}
		$retval.="\t\t<option value=\"$key\"{$sel}>$val</option><!-- $sel -->\n";
		}
	$retval.="\t</select>\n";
	
	if(!empty($params['help']))
		{$retval.="<span class=\"help-block\">{$params['help']}</span>\n";}
	$retval.="</div></div>";
	
	return (string) $retval;
	}


function aw_form_radio($name,$wert=FALSE,$data=array(),$params=FALSE)
	{
	if(empty($params['label']))
		{$params['label']=$name;}
	$retval="<div class=\"form-group\">";
	$retval.="<label class=\"col-md-4 control-label\" for=\"{$name}\">{$params['label']}</label>";
	$retval.="<div class=\"col-md-4\">";
	foreach($data AS $key => $val)
		{
		$sel='';
		if($wert==$key)
			{$sel=' checked="checked" ';}
		$retval.="<div class=\"radio\">";
		$retval.="<label for=\"radios-{$key}\">";
		$retval.="\t<input id=\"radios-{$key}\" type=\"radio\" name=\"aw_param[{$name}]\" value=\"{$key}\"{$sel}>\n";
		$retval.="$val</label></div>";
		}
	if(!empty($params['help']))
		{$retval.="<span class=\"help-block\">{$params['help']}</span>\n";}
	$retval.="</div></div>";
	return (string) $retval;
	}


function aw_form_checkbox($name,$werte=array(),$data=array(),$params=array())
	{
	if(empty($params['label']))
		{$params['label']=$name;}
	$retval="<div class=\"form-group\">";
	$retval.="<label class=\"col-md-4 control-label\" for=\"{$name}\">{$params['label']}</label>";
	$retval.="<div class=\"col-md-4\">";
	foreach($data AS $key => $val)
		{
		$sel='';
		if(!empty($key) AND in_array($key,$werte))
			{$sel=' checked';}
		$retval.="<div class=\"checkbox\">";
		$retval.="<label for=\"checkboxes-$key\">";
		$retval.="<input name=\"aw_param[$name][$key]\" id=\"checkboxes-$key\" value=\"$val\" type=\"checkbox\"{$sel}>";
		$retval.="$val";
		$retval.="</label></div>";
		}
	if(!empty($params['help']))
		{$retval.="<span class=\"help-block\">{$params['help']}</span>\n";}
	$retval.="</div></div>";
	return (string) $retval;
	}

function aw_form_textarea($name,$werte,$params=array())
	{
	if(empty($params['label']))
		{$params['label']=$name;}
	$retval.="<div class=\"form-group\">";
	$retval.="<label class=\"col-md-4 control-label\" for=\"{$name}\">{$params['label']}</label>";
	$retval.="<div class=\"col-md-4\">";                     
    $retval.="<textarea class=\"form-control\" id=\"{$name}\" name=\"aw_param[{$name}]\">$werte</textarea>";
	if(!empty($params['help']))
		{$retval.="<span class=\"help-block\">{$params['help']}</span>\n";}
	$retval.="</div></div>";
	return $retval;
	}


function aw_form_upload($name,$params=array())
	{
	$multiple=FALSE;
	if(empty($params['label']))
		{$params['label']=$name;}
	if(!empty($params['multiple']))
		{$multiple=TRUE;}
	$retval.="<div class=\"form-group\">";
	$retval.="<label class=\"col-md-4 control-label\" for=\"{$name}\">{$params['label']}</label>";
	$retval.="<div class=\"col-md-4\">";
    if($multiple)
		{$retval.="<input id=\"{$name}\" name=\"{$name}[]\" class=\"input-file\" type=\"file\" multiple=\"multiple\">";}
	else
		{$retval.="<input id=\"{$name}\" name=\"{$name}\" class=\"input-file\" type=\"file\">";}
	if(!empty($params['help']))
		{$retval.="<span class=\"help-block\">{$params['help']}</span>\n";}
	$retval.="</div></div>";
	return $retval;
	}

function aw_form_header($name='',$type="POST")
	{
	$retval="";
	if($type=="POST")
		{$retval.= "<form class=\"form-horizontal\" method=\"post\">";}
	elseif($type=="FILE")
		{$retval.= "<form class=\"form-horizontal\" method=\"post\" enctype=\"multipart/form-data\">";}
	else
		{$retval.= "<form class=\"form-horizontal\" method=\"get\">";}	
	$retval.= "<fieldset>";
	if(!empty($name))
		{$retval.="<legend>{$name}</legend>";}
	return $retval;
	}

function aw_form_footer($del=FALSE)
	{
	global $aw,$id,$cat,$aw_page;
	$retval.="<div class=\"form-group\">\n";
	$retval.="	<label class=\"col-md-4 control-label\" for=\"aktionen\">Aktionen</label>\n";
	$retval.="	<div class=\"col-md-8\">\n";
	$retval.="		<input type=\"submit\" id=\"cmd\" name=\"cmd\" class=\"btn btn-success\" value=\"speichern\">\n";
	if(!empty($del AND $aw_page['safe_copy']==1))
		{$retval.="		<input type=\"submit\" id=\"cmd\" name=\"cmd\" class=\"btn btn-info\" value=\"kopie speichern\">\n";}
	if(!empty($del))
		{$retval.="		<a href=\"#\" class=\"btn btn-danger\" data-toggle=\"modal\" data-target=\"#confirm-delete\">löschen</a>\n";}
	$retval.="	</div>";
	$retval.="</div>";
	if(!empty($del))
		{
		$retval.="<div class=\"modal fade\" id=\"confirm-delete\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"sicherheitsabfrage\" aria-hidden=\"true\">\n";
		$retval.="<div class=\"modal-dialog\">\n";
		$retval.="<div class=\"modal-content\">\n";
		$retval.="<div class=\"modal-header\"><h1>Sicherheitsabfrage</h1></div>\n";
		$retval.="<div class=\"modal-body\">Datensatz $id sicher löschen?</div>\n";
		$retval.="<div class=\"modal-footer\">\n";
		$retval.="<button type=\"button\" class=\"btn btn-default\" data-dismiss=\"modal\">Abbrechen</button>\n";
		$retval.="<a class=\"btn btn-danger\" href=\"?aw=$aw&id=$id&cat=$cat&cmd=delete\">Löschen</a>\n";
		$retval.="</div></div></div></div>";
		}
	/* variablen aw und id des datensatzes*/
	$retval.="<input type=\"hidden\" name=\"aw\" value=\"$aw\">\n";
	if(!empty($id))
		{$retval.="<input type=\"hidden\" name=\"id\" value=\"$id\">\n";}
	$retval.="</fieldset></form>";
	return $retval;
	}


function aw_admin_form_footer($del=FALSE)
	{
	global $aw,$id,$cat;
	$retval.="<div class=\"form-group\">\n";
	$retval.="	<label class=\"col-md-4 control-label\" for=\"aktionen\">Aktionen</label>\n";
	$retval.="	<div class=\"col-md-8\">\n";
	$retval.="		<input type=\"submit\" id=\"cmd\" name=\"cmd\" class=\"btn btn-success\" value=\"speichern\">\n";
	if(!empty($del))
		{$retval.="		<a href=\"#\" class=\"btn btn-danger\" data-toggle=\"modal\" data-target=\"#confirm-delete\">löschen</a>\n";}
	$retval.="	</div>";
	$retval.="</div>";
	if(!empty($del))
		{
		$retval.="<div class=\"modal fade\" id=\"confirm-delete\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"sicherheitsabfrage\" aria-hidden=\"true\">\n";
		$retval.="<div class=\"modal-dialog\">\n";
		$retval.="<div class=\"modal-content\">\n";
		$retval.="<div class=\"modal-header\"><h1>Sicherheitsabfrage</h1></div>\n";
		$retval.="<div class=\"modal-body\">Datensatz $id sicher löschen?</div>\n";
		$retval.="<div class=\"modal-footer\">\n";
		$retval.="<button type=\"button\" class=\"btn btn-default\" data-dismiss=\"modal\">Abbrechen</button>\n";
		$retval.="<a class=\"btn btn-danger\" href=\"?aw=$aw&id=$id&cat=$cat&cmd=delete\">Löschen</a>\n";
		$retval.="</div></div></div></div>";
		}
	/* variablen aw und id des datensatzes*/
	$retval.="<input type=\"hidden\" name=\"aw\" value=\"$aw\">\n";
	if(!empty($id))
		{$retval.="<input type=\"hidden\" name=\"id\" value=\"$id\">\n";}
	$retval.="</fieldset></form>";
	return $retval;
	}
?>
