<?php
function html_add_attr($params=FALSE)
	{
	if(is_array($params))
		{
		$tmp=array();
		foreach($params AS $k => $v)
			{
			if(!empty($k) AND is_string($k) AND !is_numeric($k))
				{
				if(is_array($v))
					{$tmp[]="$k=\"".implode(" ",$v)."\"";}
				elseif(is_string($k) AND !empty($v))
					{$tmp[]="$k=\"$v\"";}
				}
			else
				{$tmp[]="$v";}
			}
		$params=' '.implode(' ',$tmp);
		}
	return $params;
	}

/*
function aw_form($type)
	{
	$numargs = func_num_args();
	echo "Anzahl der Argumente: $numargs<br />\n";
	if ($numargs >= 2) {
        echo "Das zweite Argument ist: " . func_get_arg(1) . "<br />\n";
	}
	$arg_list = func_get_args();
	foreach($arg_list AS $k => $v)
		{
		print "$k => $v<br />\n";
		}
	}
*/
if (!function_exists('aw_form_checkbox')){
function aw_form_checkbox($params=FALSE)
	{
	$werte=array();
	if(array_key_exists('value',$params))
		{
		$wert=$params['value'];
		//print "<h1>gefunden:$wert</h1>";
		}
	if(array_key_exists('data',$params))
		{
		$data=$params['data'];
		//aw_print_r($data);
		}
	if(!is_array($wert))
		{
		$werte[]=$wert;
		//aw_print_r($werte);
		}
	unset($params['data']);
	unset($params['value']);
	$retval='';
	if(!is_array($wert))
		{$werte[]=$wert;}
	else
		{$werte=$wert;}

	foreach($data AS $id => $val)
		{
		$sel='';
		if(!empty($id) AND in_array($id,$werte))
			{$sel=' checked';}
		$retval.="<div><input type=\"checkbox\" value=\"$id\"{$sel}".html_add_attr($params)."><label>$val</label></div>\n\n";
		}
	return (string) $retval;
	}}



if (!function_exists('aw_form_select')){
function aw_form_select($params)
	{
	$werte=array();
	if(array_key_exists('value',$params))
		{
		$wert=$params['value'];
		unset($params['value']);
		}
	if(array_key_exists('data',$params))
		{
		$data=$params['data'];
		unset($params['data']);
		}
	if(!is_array($wert))
		{
		$werte[]=$wert;
		//aw_print_r($werte);
		}
	else
		{$werte=$wert;}
		//aw_print_r($data);
		//aw_print_r($werte);

	if(empty($params['class']))
		{$params['class']="form-control";}

	if(!empty($params['name']))
		{
		$params['id']="form{$name}";
		$retval="<label for=\"form$name\">$name</label>";
		}

	$retval.="\t<select".html_add_attr($params).">\n";
	foreach($data AS $id => $val)
		{
		$sel='';
		if(!empty($id) AND in_array($id,$werte))
			{
			$sel=' selected="selected"';
			}
		$retval.="\t\t<option value=\"$id\"{$sel}>$val</option><!-- $sel -->\n";
		}
	$retval.="\t</select>\n";
	return (string) $retval;
	}}

if (!function_exists('aw_form_radio')){
function aw_form_radio($name='',$wert='',$array=array(),$params=FALSE)
	{
	$retval='';
	foreach($array AS $id => $data)
		{
		$sel='';
		if(!empty($id) AND $wert==$id)
			{$sel=' checked="checked" ';}
		$retval.="\t$data <input type=\"radio\" name=\"$name\" value=\"$id\"{$sel}".html_add_attr($params)."/>\n";
		}
	return (string) $retval;
	}}



if (!function_exists('aw_form_hidden')){	
function aw_form_hidden($name='',$wert='',$params=FALSE)
	{
	$field_class='';
	if($class)
		{$field_class=" class=\"$class\" ";	}
	$retval="\t";
	$retval.="<input type=\"hidden\" name=\"$name\" value=\"$wert\"".html_add_attr($params)."/>";
	$retval.="\n";
	return (string) $retval;
	}}

if (!function_exists('aw_form_upload')){
function aw_form_upload($name='',$params=array())
	{
	if(empty($params['class']))
		{$params['class']="form-control";}

	if(!empty($params['name']))
		{
		$params['id']="form{$name}";
		$retval="<label for=\"form$name\">$name</label>";
		}

	$field_class='';
	if($class)
		{$field_class=" class=\"$class\" ";	}
	$retval="\t";
	$retval.="<div class=\"form-group\">"."<input type=\"file\" name=\"$name\"".html_add_attr($params).">";
	if($max_file_size)
		{$retval.="<input type=\"hidden\" name=\"MAX_FILE_SIZE\" value=\"$max_file_size\">";}
	$retval.="\n";
	return (string) $retval."</div>";
	}}



if (!function_exists('aw_form_email')){
function aw_form_email($name='',$wert='',$params=array())
	{
	if(empty($params['class']))
		{$params['class']="form-control";}

	if(!empty($params['name']))
		{
		$params['id']="form{$name}";
		$retval="<label for=\"form$name\">$name</label>";
		}
	$retval="\t";
	$retval.="<div class=\"form-group\">"."<input type=\"email\" name=\"$name\" value=\"$wert\"".html_add_attr($params).">";
	$retval.="\n";
	return (string) $retval."</div>";
	}}




if (!function_exists('aw_form_search')){
function aw_form_search($name='',$wert='',$params=array())
	{
	if(empty($params['class']))
		{$params['class']="form-control";}

	if(!empty($params['name']))
		{
		$params['id']="form{$name}";
		$retval="<div class=\"form-group\">"."<label for=\"form$name\">$name</label>";
		}
	$retval="\t";
	$retval.="<input type=\"text\" name=\"$name\" value=\"$wert\"".html_add_attr($params).">";

	$retval.="\n";
	return (string) $retval."</div>";
	}}




if (!function_exists('aw_form_textarea')){
function aw_form_textarea($params=array())
	{
	if(empty($params['class']))
		{$params['class']="form-control";}

	if(!empty($params['name']))
		{
		$params['id']="form{$name}";
		$retval="<label for=\"form$name\">$name</label>";
		}
	$text=$params['value'];
	unset($params['value']);
	$retval="\t";
	$retval.="<div class=\"form-group\">"."<textarea ".html_add_attr($params).">".htmlentities($text,ENT_QUOTES, "UTF-8")."</textarea>";
	$retval.="\n";
	return (string) $retval."</div>";
	}}

if (!function_exists('aw_form_input')){
function aw_form_input($params=array())
	{
	static $i;
	$i++;
/*
	if(!array_key_exists("type",$params))
		{$params['type']="text";}
	if(!array_key_exists("name",$params))
		{$params['name']="aw_params[$i]";}

	if(is_array($params))
		{
		$tmp=array();
		foreach($params AS $k => $v)
			{
			if(is_string($k) AND !is_numeric($k))
				{$tmp[]="$k=\"$v\"";}
			else
				{$tmp[]=" $v";}
			}
		$params=' '.implode(' ',$tmp);
		}
*/
	if(empty($params['class']))
		{$params['class']="form-control";}

	if(!empty($params['name']))
		{
		$params['id']="form{$name}";
		$retval="<div class=\"form-group\">"."<label for=\"form$name\">$name</label>";
		}
	$retval="<input".html_add_attr($params).">";
	return (string) "<div class=\"form-group\">".$retval."</div>";
	}}

?>
