<?php
/*
== Überschrifft == wird zu <h2>Überschrifft</h2>
[[interner_link]] wird zu <a href="./page/interner_link">interner_link</a>
---- wird zu <hr>
* liste wird zu <ul><li>Liste</li></ul>
[[Datei:filename.jpg]] wird zu <img src="filename.jpg" name="filename.jpg" title="filename.jpg">
*/


/* alter aha parser*/
function aw_modul($var)
	{
	$modul=$var[1];
	$parameter=$var[2];
	$parse_params=array();	

	if($modul=="gallery")
		{
		if(preg_match('/(show="(.*?)")/i', $parameter, $out))
			{$show=$out[2];	}
		if(preg_match('/(picture="(.*?)")/i', $parameter, $out))
			{$picture=$out[2];}
		 return "<strong>$modul | $show | $picture </strong>";
		}
	}

function aw_parse_html($string)
	{
	//$string = preg_replace_callback('/<img.*?src="(.+?)"(.*?)>/i',build_picture,  $string);
	$string = preg_replace_callback('/<aw.*?modul="(.+?)"(.*?)>/i',aw_modul,  $string);
	$string = preg_replace_callback("/\{id=(\w+)\}/i",build_id_link,  $string);
	$string = preg_replace_callback("/\{kontakt=(\w+) box=(\w+)\}/i",build_kontakt,  $string);
	$string = preg_replace_callback("/\{id=(\w+) alt=(\w+)\}/i",build_id_link,  $string);
	$string = preg_replace_callback("/\{link=(\w+)\}/i",build_html_link,  $string);
	$string = preg_replace_callback("/\{pdf=(\w+)\}/i",build_pdf,  $string);
	//$string = preg_replace_callback("/[a-zA-Z._-0-9\t]+@([a-z0-9-]{2,255}\.)+[a-z]{2,5}/i","build_email",$string);
	return $string;
	}

function aw_wiki($text) 
	{
	$search=array(
		'~==(.*?)==~s',
		'~\[\[(.*?)\]\]~s',
		'~\[((?:http|https?)://.*?) (.*?)\]~s',
		);
	$replace = array(
		'<h2>$1</h2>',
		'<a href="./page/$1" title="$1">$1</a>',
		'<a href="$1" title="$2">$2</a>',
		);
	$text = preg_replace($search,$replace,$text);
	$text = preg_replace('~\'\'\'(.*?)\'\'\'~s','<strong>$1</strong>',$text);
	$text = str_replace("----","<hr>",$text);
	$text = preg_replace('~\"(.*?)\"~s','<em>$1</em>',$text);
	$text = preg_replace('~\[\[(?:Datei):(.*?)\]\]~s','<img src="$1" alt="$1" title="$1">',$text);
	/* Generiert aus * irgendwas eine list */
	$text = preg_replace("/\*+(.*)?/i","<ul>\t<li>$1</li>\n</ul>",$text);
	$text = preg_replace("/(\<\/ul\>\n(.*)\<ul\>\n*)+/","",$text);
	$string = preg_replace("/\*+(.*)?/i","<ul>\n\t<li>$1</li>\n</ul>",$string);
	$string = preg_replace("/(\<\/ul\>\n(.*)\<ul\>\n*)+/","",$string );
	return $text;
	}
function tpl_prepare_vars($tpl_vars)
	{
	if(is_array($tpl_vars))
		{
		foreach($tpl_vars AS $k => $v)
			{
			if(is_array($v))
				{$v=implode('',$v);}
			$tpl_vars[$k]=$v;
			}
		}
	return $tpl_vars;
	}



/*eval function für variablen*/
function bind_to_template($vars, $template)
	{
	$vars=tpl_prepare_vars($vars);
	return preg_replace_callback('/\[\[var:(.+?)\]\]/', function($matches) use ($vars)
		{
		return $vars[$matches[1]];
		}, $template);
	}



/*includet eine datei und sucht nach ini files mit selben namen*/
function aw_include($filename=FALSE,$vars=FALSE)
	{
	if(!empty($vars))
		{extract($vars);}
	$retval=FALSE;
	if(!empty($filename))
		{
		ob_start();
		if(file_exists($filename) AND is_file($filename))
			{
			$script_info = pathinfo($filename);
			$ini_file=str_replace('.'.$script_info['extension'],".ini",$filename);
			if(file_exists($ini_file) AND is_file($ini_file))
				{$ini = parse_ini_file($ini_file, TRUE);}
			if(!empty($ini) AND is_array($ini))
				{
				$GLOBALS['tpl']= array_merge($GLOBALS['tpl'],$ini);
				}
			if(!empty($vars) AND is_arra($vars))
				{
				extract($vars,EXTR_PREFIX_ALL,"aw");}
			include($filename);
			}
		else
			{print aw_message("aw_include fehler: $filename nicht vorhanden oder Verzeichniss!",'error');}
		$retval=ob_get_clean();
		}
	return $retval;
	}


function aw_parse_eval($string,$vars=array())
	{
	if(!empty($vars))
		{extract($vars);}
	$string=str_replace('href="./',"href=\"".URL,$string);
	$string=str_replace('src="./',"src=\"".URL,$string);
	$string = preg_replace_callback('/\[\[var:(.+?)\]\]/',
		function($treffer) use ($vars)
			{
			return $vars[$treffer[1]];
			}, $string);

	/* ersetzt template tags der form [[function:variable übergabe]]*/
	$string = preg_replace_callback('/\[\[(.+?):(.+?)\]\]/',
    function ($treffer)
		{
		//aw_print_r($treffer);
		$retval=NULL;
		$func="aw_{$treffer[1]}";
		$param=$treffer[2];
		if (!function_exists($func))
			{$retval=aw_message("AW error: $func($param)",'error');}
		else
			{
			$retval=$func("$param");
			}
		return $retval;
    	},$string
	  );
	return $string;
	}

?>
