<?php
function aw_table_fields($tab)
	{
	if(empty($tab)){return FALSE;}
	global $mysqli;
	$retval=array();
	$sql="SHOW FULL COLUMNS FROM ".aw_escape_string($tab);
	if($records=aw_fetch_assoc($sql,'Field'))
		{return (array) $records;}
	else
		{return (bool) FALSE;}
	}


function aw_table_relation($table=FALSE,$db=FALSE)
	{
	global $mysqli,$mysql;
	$table 	= ($table!==FALSE) ? " ='$table'": " IS NOT NULL";
	$db 	= ($db!==FALSE) ? " AND table_schema = '$db'":FALSE;
	$sql="SELECT
		CONCAT(table_name, '.', column_name) AS 'foreign_key', 
		CONCAT(referenced_table_name, '.', referenced_column_name) as 'references'
		FROM information_schema.key_column_usage WHERE referenced_table_name {$table} {$db}
		";
	if($records=aw_fetch_assoc($sql))
		{return $records;}
	else
		{return (bool) FALSE;}
	}

function aw_db_tables($tables=FALSE)
	{
	global $mysqli,$aw_table;
	$sql="SHOW TABLES";
	$retval=array();
	$result=aw_sql_query($sql);
	$check_tables=array_flip($aw_table);
	$rows=mysqli_num_rows($result);
	if($rows==0)
		{return (bool) FALSE;}
	elseif($rows>=1)
		{
		while($record = mysqli_fetch_array($result))
			{$retval[]=$record[0];}
		return (array) $retval;
		}
	return (bool) FALSE;
	}


function upload_image_resize($image_file,$cat=1,$update=FALSE)
	{
	//aw_stop_runtime();
	ob_start();
	global $aw_table,$mysqli;
	$bild_id=FALSE;
	if(is_file($image_file) AND file_exists($image_file) AND (stristr($image_file, '.jpg') OR stristr($image_file, '.gif') OR stristr($image_file, '.jpeg') OR stristr($image_file, '.png')))
		{
		$file=array();
		$file['pfad']=$image_file;
		$file['bild_thumb_str']=FALSE;
		$file['preview_name']=dirname($image_file)."/resize/".str_replace(array('.jpg','.png','.jpeg'),'_mini.jpg',basename($image_file));
		$file['thumb_name']=dirname($image_file)."/resize/".str_replace(array('.jpg','.png','.jpeg'),'_thumb.jpg',basename($image_file));
		$file['big_name']=dirname($image_file)."/resize/".str_replace(array('.jpg','.png','.jpeg'),'_big.jpg',basename($image_file));
		$file['kb']=(floor(filesize($image_file)/1024));
		$data=getimagesize($image_file);
		if(empty($data[0]) OR empty($data[1]))
			{
			return FALSE;
			}
		$file['width']=$data[0];
		$file['height']=$data[1];
		$file['mime']=$data['mime'];
		foreach($file AS $k=>$v)
			{
			if(!is_array($v)){$insert[$k]=aw_escape_string($v);}
			}
		//aw_print_r($file);
		$sql="SELECT * FROM `$aw_table[bilder]` WHERE bild_pfad LIKE '$insert[pfad]' LIMIT 1";
		//aw_print_r($sql);
		$result=aw_sql_query($sql);
		$pfad=FALSE;
		$thumb=FALSE;
		$big=FALSE;
		if(mysqli_num_rows($result)>=1)
			{
			//$pfad 	= (file_exists($record['bild_pfad'])) ? $record['bild_pfad']: FALSE;
			//$thumb 	= (file_exists($record['bild_thumb'])) ? $record['bild_thumb']: FALSE;
			//$big 	= (file_exists($record['bild_big'])) ? $record['bild_big']: FALSE;
			$record=mysqli_fetch_assoc($result);
			//aw_print_r($record);
			//return FALSE;
			$bild_id=$record['bild_id'];
			if($update===FALSE)
				{
				return $bild_id;
				}
			}
		else
			{
			$sql="INSERT INTO `$aw_table[bilder]`(`bild_id`, `bild_pfad`, `bild_thumb`, `bild_url`) VALUES (NULL,'$insert[pfad]',NULL,NULL);\n";
			//aw_print_r($sql);
			$result=aw_sql_query($sql);
			if(!$bild_id=mysqli_insert_id($mysqli))
				{
				return FALSE;
				}
			}
		if(!empty($bild_id))
			{
			$sql="SELECT * FROM `$aw_table[bilder_infos]` WHERE bild_id=$bild_id LIMIT 1";
			//aw_print_r($sql);
			$result=aw_sql_query($sql);
			if(mysqli_num_rows($result)==0)
				{
				$sql="INSERT INTO `$aw_table[bilder_infos]` (`bild_id`, `cat_id`) VALUES ('$bild_id', '$cat')";
				}
			//aw_print_r($sql);
			$result=aw_sql_query($sql);
			if(generate_image_thumbnail($file['pfad'],$file['preview_name'],$THUMBNAIL_IMAGE_MAX_WIDTH=120,$THUMBNAIL_IMAGE_MAX_WIDTH=120,$quality=95))
				{
				chmod($file['preview_name'],0755);
				//aw_print_r("jpg:$fzjpg");
				if($strimage=file_get_contents($file['preview_name']))
					{
					$thumb_string = base64_encode($strimage);
					//print "<img src=\"data:image/jpg;base64,$thumb_string\">";
					$sql="UPDATE `$aw_table[bilder_infos]` SET bild_thumb_str='".aw_escape_string($thumb_string)."' WHERE bild_id=$bild_id LIMIT 1";
					//aw_print_r($sql);
					$result=aw_sql_query($sql);
					unlink($file['preview_name']);
					}
				}

			if(generate_image_thumbnail($file['pfad'],$file['thumb_name'],$THUMBNAIL_IMAGE_MAX_WIDTH=480,$THUMBNAIL_IMAGE_MAX_WIDTH=480,$quality=95)!==FALSE)
				{
				chmod($file['thumb_name'],0755);
				$fz=(floor(filesize($file['thumb_name'])/1024));
				if($file['kb']>$fz)
					{
					$sql="UPDATE `$aw_table[bilder]` SET bild_thumb='$insert[thumb_name]' WHERE bild_pfad='$insert[pfad]' LIMIT 1";
					$result=aw_sql_query($sql);
					//aw_print_r($sql);
					//print "<img src=\"$insert[thumb_name]\">";
					}
				else
					{
					unlink($file['thumb_name']);
					}
				}
			if(generate_image_thumbnail($file['pfad'],$file['big_name'],$THUMBNAIL_IMAGE_MAX_WIDTH=1280,$THUMBNAIL_IMAGE_MAX_WIDTH=1280,$quality=95)!==FALSE)
				{
				chmod($file['big_name'],0755);
				$fz=(floor(filesize($file['big_name'])/1024));
				if($file['kb']>$fz)
					{
					$sql="UPDATE `$aw_table[bilder]` SET bild_big='$insert[big_name]' WHERE bild_pfad='$insert[pfad]' LIMIT 1";
					//aw_print_r($sql);
					//print "<img src=\"$insert[big_name]\">";
					$result=aw_sql_query($sql);
					}
				else
					{
					unlink($file['big_name']);
					}
				}
			}
		}
	file_put_contents("upload_imag_resize.txt",ob_get_clean());
	return (int) $bild_id;
	}


function service_table_info_form($tab,$ret=FALSE,$data=array())
	{
	global $aw_table_relation,$aw_table;
	$revers_tabs=array_flip($aw_table);
	$cat=$revers_tabs[$tab];
	$char=array('CHAR');
	$text=array('TEXT');
	$zahl=array('INT','FLOAT','DOUBLE','REAL','NUME');
	$datum=array("DATE","TIMES","YEAR");
	$auswahl=array('ENUM','SET');


	$table=aw_table_fields($tab);
	$retval=array();
	$field_options=array();
	$valid=array();

	foreach($table AS $k=>$v)
		{
		$valid[$k]=FALSE;
		$relation_add=FALSE;
		$awint=array('formfunc'=>FALSE,'typ'=>FALSE);
		$opt=array(
			'value'=>FALSE,
			'name'=>"aw_param[".$k."]",
			);
		if($found=aw_stripos($v['Type'],$char))
			{
			$awint['typ']=$found;
			$awint['formfunc']="input";

			$opt['type']="text";
			$opt['size']='20';
			$opt['id']="$k";
			$opt['title']="feld: $k";
			$opt['placeholder']=$k;
			$opt['autocomplete']="off";
			if(preg_match('/[a-zA-Z\s]*\((.*)\)$/', $v['Type'], $tmp_len))
				{$opt['maxlength']=$tmp_len[1];}
			if(!empty($data[$k]) AND mb_strlen($data[$k])<=$tmp_len[1])
				{$valid[$k]=$data[$k];}
			}
		elseif($found=aw_stripos($v['Type'],$text))
			{
			$awint['typ']=$found;
			$awint['formfunc']="textarea";
			$opt['rows']="12";
			$opt['cols']="80";
			$opt['id']="$k";
			$opt['title']="feld: $k";
			$opt['placeholder']=$k;
			if(!empty($data[$k]))
				{$valid[$k]=$data[$k];}
			}
		elseif($found=aw_stripos($v['Type'],$zahl))
			{
			if($found=="INT" AND ($v['Key']=="UNI" OR $v['Key']=="MUL"))
				{
				$tmp_func="rel_{$k}";
				if(function_exists($tmp_func) AND count($data)>=1)
					{
					$relation_add=$tmp_func($data[$k]);
					}
				elseif(count($data)>=1)
					{
					$relation_add=aw_message('danger',"$tmp_func");
					}
				}
			$awint['formfunc']="input";
			$opt['type']="text";
			$opt['id']="$k";
			$opt['title']="feld: $k";
			$opt['placeholder']=$k;
			$opt['autocomplete']="off";
			if(preg_match('/[a-zA-Z\s]*\((.*)\)$/', $v['Type'], $tmp_len))
				{
				$opt['maxlength']=$tmp_len[1];
				$opt['size']=$tmp_len[1];
				}
			if(!empty($data[$k]) AND ctype_digit($data[$k]))
				{$valid[$k]=$data[$k];}
			}
		elseif($found=aw_stripos($v['Type'],$datum))
			{
			$awint['typ']=$found;
			$awint['formfunc']="input";
			$opt['type']="text";
			$opt['size']='20';
			$opt['id']="$k";
			$opt['title']="feld: $k";
			$opt['placeholder']=$k;
			$opt['autocomplete']="off";
			if(!empty($data[$k]) AND $v['Default']!="CURRENT_TIMESTAMP")
				{
				print "<h1>datum nonch validieren".__FUNCTION__.__FILE__.__LINE__."</h1>";
				$valid[$k]=$data[$k];
				}
			}
		elseif($found=aw_stripos($v['Type'],$auswahl))
			{
			if($found=="SET")
				{
				$awint['formfunc']="checkbox";
				if(!empty($data[$k]) AND !is_array($data[$k]))
					{
					if(stripos($data[$k],',')!==FALSE)
						{
						$data[$k]=explode(',',$data[$k]);
						}
					}

				}
			elseif($found=="ENUM")
				{
				$awint['formfunc']="select";
				$opt['id']="$k";
				$opt['size']=1;
				}
			$awint['type']=$found;
			$werte= explode("','",preg_replace("/.*\('(.*)'\)/", "\\1",$v['Type']));
			$opt['data']=array_combine($werte,$werte);
			$opt['name']=$opt['name']."[]";
			$opt['title']="auswahl: $k";
			if(!empty($data[$k]) AND is_array($data[$k]) AND $array=array_intersect($werte,$data[$k]))
				{
				//aw_print_r($werte);
				//aw_print_r($data[$k]);
				$valid[$k]=$array;
				}
			elseif(!empty($data[$k]) AND in_array($data[$k],$werte))
				{
				$valid[$k]=$data[$k];
				}
			}
		if($v['Null']=="NO" AND stristr($v['Type'],'char')!==FALSE AND empty($v['Default']))
			{
			$opt[]='required';
			$tmp_option = explode("','",preg_replace("/.*\('(.*)'\)/", "\\1",$type));
			}

		if(isset($data[$k]) AND empty($data[$k]) AND $v['Null']=="YES")
			{
			$valid[$k]=NULL;
			}

		if(is_array($data) AND !empty($data[$k]))
			{
			//aw_print_r($data);
			$opt['value']=$data[$k];
			$upd=TRUE;
			}
		if($v['Key']=="PRI" AND !empty($data[$k]))
			{
			$awint['formfunc']="input";
			$opt['type']="hidden";
			$opt['id']="$k";
			unset($opt['title']);
			unset($opt['placeholder']);
			unset($opt['autocomplete']);
			}
		elseif($v['Key']=="PRI" AND $v['Extra']=="auto_increment")
			{
			continue;
			//break 1;
			}
		if($v['Default']=="CURRENT_TIMESTAMP")
			{
			//break 1;
			continue;
			}
		//aw_print_r($opt);
		$func="aw_form_".$awint['formfunc'];
		$retval['valid']=$valid;
		$retval['info'][$k]=$awint;
		$retval['sql'][$k]=$v;
		//$retval['html'][$k]="<div><label for=\"$k\">$k</label>".$func($opt);
		if($awint['formfunc']=="checkbox" OR $awint['formfunc']=="radio")
			{
			$retval['html'][$k]="<div>\n\t<fieldset>\n\t<legend>$k</legend>\n\t<div>\n\t".$func($opt)."</div></fieldset>\n</div>\n";
			}
		elseif($opt['type']=="hidden")
			{
			$retval['html'][$k]=$func($opt)."\n";
			}
		elseif($relation_add!==FALSE)
			{
			$retval['html'][$k]="<div>\n\t<label for=\"$k\">$k</label>\n\t<div>{$relation_add}</div>\n</div>\n";
			}
		else
			{
			$retval['html'][$k]="<div>\n\t<label for=\"$k\">$k</label>\n\t<div>".$func($opt)."{$relation_add}</div>\n</div>\n";
			}
		$retval['form'][$k]=$func($opt);
		$retval['options'][$k]=$opt;
		}
	if($ret!==FALSE AND array_key_exists($ret,$retval))
		{return $retval[$ret];}
	return $retval;
	}

if(!function_exists('service_get_record')){
function service_get_record($id,$tab)
	{
	global $mysqli;
	$table_fields=aw_table_fields($tab);
	//aw_print_r($table_fields);
	$prikey=FALSE;
	foreach($table_fields AS $k=>$v)
		{
		if($v['Key']=="PRI")
			{$prikey="`".$k."`";}
		}
	if($prikey===FALSE){service_return("error","kein primary feld gefunden");}
	$sql="SELECT * FROM $tab WHERE $prikey=$id;";
	$records=aw_fetch_assoc($sql);
	if(count($records)==0)
		{
		service_return("error","kein datensatz mit ID:$id vorhanden");
		}
	return $records[0];
	}}
	
	
if(!function_exists('service_delete_table')){
function service_delete_table($id,$tab)
	{
	//service_return("error","ID $id nicht numerich","$id,$tab");
	global $mysqli;
	if(!is_numeric($id))
		{service_return("error","ID $id nicht numerich $id,$tab",FALSE);}
	$table_fields=aw_table_fields($tab);
	//aw_print_r($table_fields);
	$prikey=FALSE;
	foreach($table_fields AS $k=>$v)
		{
		if($v['Key']=="PRI")
			{$prikey="`".$k."`";}
		}
	if($prikey===FALSE){service_return("error","kein primary feld gefunden $id,$tab",FALSE);}
	$sql=array();
	$sql="SELECT COUNT(*) AS count FROM $tab WHERE $prikey=$id;";
	$records=aw_fetch_assoc($sql);
	$count=$records[0]['count'];
	if($count>=2)
		{service_return("error","datensatz nicht eindeutig, mehrer gefunden $id,$tab",FALSE);}
	elseif($count==0)
		{service_return("error","kein datensatz mit ID:$id vorhanden","$id,$tab");}
	$sql="DELETE FROM $tab WHERE $prikey=$id LIMIT 1;";
	$sql=aw_sql_query($sql);
	if($rows=mysqli_affected_rows($mysqli))
		{return $rows;}
	else{return FALSE;}
	}}





function service_update_table($id,$tab,$data)
	{
	global $mysqli;
	if(!is_array($data))
		{service_return("danger","keine daten übergeben",FALSE);}
	if(!is_numeric($id))
		{service_return("danger","ID $id nicht numerich",FALSE);}
	$table_fields=aw_table_fields($tab);
	//aw_print_r($table_fields);
	$prikey=FALSE;
	foreach($table_fields AS $k=>$v)
		{
		if($v['Key']=="PRI")
			{$prikey="`".$k."`";}

		elseif($v['Default']=="CURRENT_TIMESTAMP")
			{unset($data[$k]);}
		}
	if($prikey===FALSE){service_return("danger","Kein Primary feld gefunden",FALSE);}
	$sql="SELECT * FROM $tab WHERE $prikey=".aw_escape_string($id)." LIMIT 1;";
	if($records=aw_fetch_assoc($sql))
		{
		if(count($records)>=2)
			{service_return("danger","datensatz nicht eindeutig, mehrer gefunden",FALSE);}
		elseif(count($records)==0)
			{service_return("danger","kein datensatz mit ID:$id vorhanden",FALSE);}
		$record=$records[0];
		$update=array();
		foreach($record AS $k => $v)
			{
			if(!array_key_exists($k,$data))
				{continue;}
			if($data[$k]==$v)
				{continue;}

			if(empty($data[$k]) AND $table_fields[$k]['Null']=="YES")
				{
				$update[$k]="`".$k."`=NULL";
				}
			else
				{
				$update[$k]="`".$k."`='".aw_escape_string($data[$k])."'";
				}
			}
		//aw_print_r($update);
		if(count($update)==0)
			{
			return (bool) TRUE;
			//service_return("info","datenbestand nicht verändert kein update noetig");
			}
		else
			{
			print $sql="UPDATE $tab SET ".implode(",",$update)." WHERE $prikey=$id LIMIT 1;";
			$sql=aw_sql_query($sql);
			if($rows=mysqli_affected_rows($mysqli))
				{return (int) $rows;}
			else
				{return (bool) FALSE;}
			}
		}
	}



function service_insert_table($tab,$daten=array())
	{
	global $aw_table,$mysqli;
	if(!in_array($tab,$aw_table))
		{service_return("error","falsche tab");}
	$table_fields=aw_table_fields($tab);
	//aw_print_r($table_fields);
	if(!is_array($table_fields))
		{return FALSE;}
	$validate_data=array_intersect_key($daten,$table_fields);
	//aw_print_r($validate_data);
	if(count($validate_data)==0)
		{service_return("error","dalsche daten für befehl");}
	$felder=array();
	$werte=array();
	foreach($table_fields AS $k=>$v)
		{
		if($v['Extra']=="auto_increment" OR $v['Default'] =="CURRENT_TIMESTAMP")
			{continue;}
		$wert=trim($daten[$k]);
		// testen ob das feldein pflichfeld ist
		if($v['Null']=="NO" AND stristr($v['Type'],'char')!==FALSE AND empty($v['Default']) AND empty($wert))
			{
			service_return("error","Pflichtfeld $k leer");
			}
		if(empty($wert))
			{continue;}
		$felder[]="`".$k."`";
		$werte[]="'".aw_escape_string($wert)."'";
		}
	$sql = "INSERT INTO `$tab` (".implode(",",$felder).") VALUES (".implode(",",$werte).");";
	$result=aw_sql_query($sql);
	if($insert_id=mysqli_insert_id($mysqli))
		{
		return (int) $insert_id;
		}
	else
		{
		return FALSE;
		}
	}

function rel_setup_id($id="",$fieldname='aw_param[setup_id]')
	{
	global $aw_table,$mysqli;
	$sql="SELECT setup_id, setup_name FROM $aw_table[page_setup]";
	if($records=aw_fetch_assoc($sql,"setup_id"))
		{
		$select=array();
		foreach($records AS $cur_id => $record)
			{
			$select[$cur_id]=$record['setup_name'];
			}
		return aw_form_select(array('name'=>$fieldname,'data'=>$select,'value'=>$id));
		}
	
	return FALSE;
	}

function rel_article_id($id="",$fieldname='aw_param[article_id]')
	{
	global $aw_table,$mysqli;
	$sql="SELECT article_id, titel FROM $aw_table[article]";
	if($records=aw_fetch_assoc($sql,"article_id"))
		{
		$select=array();
		$select['NULL']="";
		foreach($records AS $cur_id => $record)
			{
			$select[$cur_id]=$record['titel'];
			}
		return aw_form_select(array('name'=>$fieldname,'data'=>$select,'value'=>$id));
		}
	
	return FALSE;
	}

function rel_kontakt_id($id="",$fieldname='aw_param[kontakt_id]')
	{
	global $aw_table,$mysqli;
	$sql="SELECT kontakt_id, CONCAT_WS(',',nachname,vorname) AS name FROM $aw_table[contacts]";
	if($records=aw_fetch_assoc($sql,"kontakt_id"))
		{
		$select=array();
		foreach($records AS $cur_id => $record)
			{
			$select[$cur_id]=$record['name'];
			}
		return aw_form_select(array('name'=>$fieldname,'data'=>$select,'value'=>$id));
		}
	
	return FALSE;
	}


function rel_script_id($id="",$fieldname='aw_param[script_id]')
	{
	global $aw_table,$mysqli;
	$sql="SELECT script_id, script_name AS name FROM $aw_table[scripts]";
	if($records=aw_fetch_assoc($sql,"script_id"))
		{
		$select=array();
		$select['NULL']="";
		foreach($records AS $cur_id => $record)
			{
			$select[$cur_id]=$record['name'];
			}
		return aw_form_select(array('name'=>$fieldname,'data'=>$select,'value'=>$id));
		}
	
	return FALSE;
	}

function rel_bild_id($id,$fieldname='aw_param[bild_id]')
	{
	$retval='';
	if(!empty($id))
		{
		$pic=get_bilder("bild_id=$id","LIMIT 1");
		$pic=$pic[0]['bild_thumb'];
		$retval.="<div id=\"image\"><img src=\"$pic\">";
		$retval.=aw_form_input(array('type'=>'hidden','name'=>$fieldname,'value'=>$id));
		$retval.="</div>\n";
		}
	$retval.="<a href=\"#kontakt_pic\"><span class=\"icon-file-image ImageManager_single\">Edit</span></a>";
	return $retval;
	}
?>
