<?php
	print aw_form_header("",$type="FILE");
	if($id AND empty($do))
		{
		$sql="SELECT `archiv_id`, `aw_archiv`.`main_id`, `titel`, `optional`, `datum`, `text`, `adresse`, `quelle`, `ablage`, `timestamp`,`tags`,`public`,`rubrik_name` AS rubrik
		FROM aw_archiv 
		LEFT JOIN aw_rubrik USING(rubrik_id)
		WHERE archiv_id='$id'";
		$records=aw_fetch_assoc($sql);
		$record=$records[0];
		$datum=explode(" ",$record['datum']);
		$record['datum']=$datum[0];
		}


	$quelle=array();
	$sql="SELECT DISTINCT quelle FROM aw_archiv WHERE main_id=$aw ORDER BY quelle";
	if($records=aw_fetch_assoc($sql))
		{
		foreach($records AS $rec)
			{$quelle[]=$rec['quelle'];}
		}

	if(array_key_exists('quelle',$felder)){
	print aw_form_input_list("quelle",
		$record['quelle'],
		$quelle,
		$params=array('label'=>$felder['quelle'])
		);}


	if(array_key_exists('titel',$felder)){
	print aw_form_input("titel",
		$wert=$record['titel'],
		$params=array('label'=>$felder['titel'],'required'=>'required')
		);}

	if(array_key_exists('rubrik_id',$felder)){
	print aw_form_input_list("rubrik",
		$record['rubrik'],
		$rubriken,
		$params=array('label'=>$felder['rubrik_id'])
		);}
	
	$ablage=array();
	$sql="SELECT DISTINCT ablage FROM aw_archiv WHERE main_id=$aw ORDER BY ablage";
	if($records=aw_fetch_assoc($sql))
		{
		foreach($records AS $rec)
			{$ablage[]=$rec['ablage'];}
		}

	if(array_key_exists('ablage',$felder)){
	print aw_form_input_list("ablage",
		$record['ablage'],
		$ablage,
		$params=array('label'=>$felder['ablage'],'required'=>'required')
		);}

	if(array_key_exists('tags',$felder)){
		print aw_form_input("tags",
		$record['tags'],
		$params=array('label'=>$felder['tags']));}

	if(array_key_exists('optional',$felder)){
	print aw_form_checkbox("optional",
		$werte=array($record['optional']),
		$data=array('Ja'=>'Ja'),
		$params=array('label'=>$felder['optional'])
		);}

	if(array_key_exists('datum',$felder)){
	print aw_form_date("datum",
		$record['datum'],
		$params=array('label'=>$felder['datum']));
		}

	if(array_key_exists('text',$felder)){
	print aw_form_textarea("text",
		$record['text'],
		$params=array('label'=>$felder['text']));
		}
	if(array_key_exists('adresse',$felder))
		{print aw_form_textarea("adresse",
		$record['adresse'],
		$params=array('label'=>$felder['adresse']));}


	if(array_key_exists('file',$felder)){
	print aw_form_upload("file",
		$params=array('label'=>$felder['file'],'multiple'=>'multiple','help'=>"Maxmimal 20 Dateien Maximaler größe von:".ini_get('upload_max_filesize'))
		);}

	if($files=get_archiv_files($record['archiv_id']))
		{
		print "<div class=\"form-group\">\n";
	  	print "<label class=\"col-md-4 control-label\" for=\"files\">$felder[file]</label>\n";
		print "<div class=\"col-md-4\">\n";
		print "<i class=\"glyphicon glyphicon glyphicon-save\"></i> <a href=\"#\" data-toggle=\"modal\" data-target=\"#show_files\">".count($files)." Datei(en)</a>";
		print "</div></div>";
		print "<div class=\"modal fade\" id=\"show_files\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"dateien\" aria-hidden=\"true\">\n";
		print "<div class=\"modal-dialog\">\n";
		print "<div class=\"modal-content\">\n";
		print "<div class=\"modal-header\"><h1>Dateien</h1></div>\n";
		print "<div class=\"modal-body\"><ul>";
		$thumbnail=array();
		foreach($files AS $count => $file)
			{
			$cur_file="$aw_dir[upload]/$file[file_name]";
			if(file_exists($cur_file) AND is_file($cur_file))
				{
				$file['mime']=mime_content_type($cur_file);
				$file['size']=human_filesize(filesize($cur_file), $decimals = 2);
				$ext = pathinfo($cur_file, PATHINFO_EXTENSION);
				if(in_array($ext,array('jpg','jpeg','png','gif')))
					{
					$thumbnail["{$file[file_id]}"]="<img src=\"image.php?cmd=thumb&id=$file[file_id]\">";
					$open=" data-fancybox=\"gallery\" ";
					}
				else
					{$open=" target=\"_blank\" ";}
				print "<li>";
				print  "<a href=\"download.php?id=$file[file_id]\"{$open}>$file[file_orig_name]</a> | $file[size]";
				if($user['user_level']=="admin")
					{print "<a href=\"#\" data-toggle=\"modal\" data-target=\"#show_files_del_$count\"> <span class=\"glyphicon glyphicon-trash\"></span> </a>";}
				print "</li>";
				}
			}
		print "</ul></div>\n";
		print "<div class=\"modal-footer\">\n";
		print "<button type=\"button\" class=\"btn btn-default\" data-dismiss=\"modal\">Schliessen</button>\n";
		print "</div></div></div></div>";
		foreach($files AS $count => $file)
			{
			print "<div class=\"modal fade\" id=\"show_files_del_$count\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"dateien\" aria-hidden=\"true\">\n";
			print "<div class=\"modal-dialog\">\n";
			print "<div class=\"modal-content\">\n";
			print "<div class=\"modal-header\"><h1>Datei Löschen</h1></div>\n";
			print "<div class=\"modal-body\">";
			if(!empty($thumbnail["{$file[file_id]}"]))
				{print "<p>".$thumbnail["{$file[file_id]}"]."</p>";}
			print "<h3>$file[file_orig_name]</h3>";
			print "<ul>";
			print "<button type=\"button\" class=\"btn btn-default\" data-dismiss=\"modal\">Abbrechen</button>\n";
			print "<a class=\"btn btn-danger\" href=\"?aw=$aw&id=$id&cat=$cat&cmd=delfile&file=$file[file_id]\">Löschen</a>\n";
			print "</ul></div>\n";
			print "<div class=\"modal-footer\">\n";
			print "<button type=\"button\" class=\"btn btn-default\" data-dismiss=\"modal\">Schliessen</button>\n";
			print "</div></div></div></div>";}
			}
	if(array_key_exists('public',$felder)){
	if(empty($record['public']))
		{$record['public']="Ja";}
	print aw_form_checkbox("public",
		$werte=array($record['public']),
		$data=array('Ja'=>'Ja'),
		$params=array('label'=>$felder['public'])
		);}

	print aw_form_hidden("cat",$cat);
	if($user['user_level']<>'admin')
		{print aw_form_footer(FALSE);}
	else
		{print aw_form_footer($id);}
?>
